%global srcname tuskar-ui-extras

Name:           openstack-tuskar-ui-extras
Version:        0.0.4
Release:        1%{?dist}
Summary:        Additional plugins for Tuskar-ui

License:        ASL 2.0
URL:            https://github.com/stackforge/%{srcname}/
# FIXME: tarball generated (the one provided by github fails to build)
# git clone https://github.com/stackforge/tuskar-ui-extras
# make source
Source0:        %{srcname}-%{version}.tar.gz

#
# patches_base=+1
#

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
Requires:       openstack-tuskar-ui
Requires:       python-oauthlib
Requires:       python-requests-oauthlib


%description
Additional plugins for Tuskar-ui
- Tuskar-UI Boxes is a plugin for the Tuskar-UI application
that improves the looks of the deployment overview page, by
visualising the nodes to be deployed in a form of small colored boxes.

- Tuskar-UI Sat6 is a plugin for the Tuskar-UI application
that adds integration with Red Hat's Satellite 6 service.7

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
install -d -m 0755 %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled
install -d -m 0755 %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled
cp _60_tuskar_boxes.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_60_tuskar_boxes.py
cp _60_tuskar_sat_ui.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_60_tuskar_sat_ui.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_60_tuskar_boxes.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_60_tuskar_boxes.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_60_tuskar_sat_ui.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_60_tuskar_sat_ui.py

%files
%doc README.rst ChangeLog
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{python2_sitelib}/*
%{_sysconfdir}/openstack-dashboard/enabled/_60_tuskar_boxes.py*
%{_sysconfdir}/openstack-dashboard/enabled/_60_tuskar_sat_ui.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_60_tuskar_boxes.py
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_60_tuskar_sat_ui.py



%changelog
* Mon Jun 15 2015 Mike Burns <mburns@redhat.com> 0.0.4-1
- Update to upstream 0.0.4

* Thu May 07 2015 Mike Burns <mburns@redhat.com> 0.0.3-3
- Avoid division by zero when calculating distribution
- Make the flavor labels translatable and matching the wireframes
- Add global service configuration dialog
- Render roles without images differently
- Display flavorless nodes, hide the node counts
- Siwtch the 'validation' and 'roles' columns
- Add more buttons to the overview page
- Inherit from node/urls.py and extend it
- Add a link to the installation instructions to the README
- Fix a syntax errors in the docs

* Thu May 07 2015 Mike Burns <mburns@redhat.com> 0.0.3-2
- Merge "Render roles without images differently"
- Merge "Make the flavor labels translatable and matching the wireframes"
- Merge "Add global service configuration dialog"
- Avoid division by zero when calculating distribution
- Make the flavor labels translatable and matching the wireframes
- Add global service configuration dialog
- Merge "Siwtch the 'validation' and 'roles' columns"
- Merge "Display flavorless nodes, hide the node counts"
- Render roles without images differently
- Display flavorless nodes, hide the node counts
- Siwtch the 'validation' and 'roles' columns
- Add more buttons to the overview page
- Inherit from node/urls.py and extend it
- Merge "Add a link to the installation instructions to the README"
- Add a link to the installation instructions to the README
- Fix a syntax errors in the docs

* Mon Feb 02 2015 Jaromir Coufal <jcoufal@redhat.com> - 0.0.3-1
- Resolves: rhbz#1183091 + rhbz#1185632 (node-box widget fix),  Resolves: rhbz#1186229 (Sat6 integration fix), New upstream release

* Fri Jan 09 2015 Mike Burns <mburns@redhat.com> - 0.0.2-2
- include the example UI pages in the rpm

* Fri Jan 09 2015 Jaromir Coufal <jcoufal@redhat.com> - 0.0.2-1
- Supported POC mode, new source.

* Thu Dec 11 2014 Haïkel Guémar <hguemar@redhat.com> - 0.0.1-1
- Initial package
